# AnalysisData (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.async

## Class AnalysisData

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.async.AnalysisData

-     public class AnalysisData
      extends java.lang.Object

  This class implements a context for visualizing statistics.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ModelConfiguration` | `config` The according config.
    `DataDefinition` | `definition` The according definition.
    `DataHandle` | `handle` The according handle.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### config

          public final ModelConfiguration config

      The according config.

    - #### handle

          public final DataHandle handle

      The according handle.

    - #### definition

          public final DataDefinition definition

      The according definition.

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`